About Alarm ActiveX
 Alarm ActiveX

Alarm ActiveX  is a 32bit ActiveX Module to schedule events for your application.

Alarm ActiveX is Freeware. If you are using an unregistered version, please go to my home page to get  your FREE registration key now.

Please visit my home page http://www.toptown.com/nowhere/jinhui to get the newest version, news and more great and FREE ActiveX.


How to Use Alarm ActiveX

Alarm Property

Sets the alarming time of the scheduled events

Syntax:

   object. Alarm (Index As Integer) = String

   object. Alarm (Index As Integer)

Type:

    String

Remarks:

    You must use the Alarm property to set your schedule. Index is your defined number to identify a scheduled event. You can set multi alarming event by using different Index. You can set the Alarm property as "YYYYMMDDHHMMSS", the 14 characters string to set a scheduled event. Or use this property to get a scheduled event. If you use a string which length is not 14, the schedule events of Index is removed. You can use the "?" as the wildcards.

    For example:

    If you want your application to be alarmed at the start of every hour, you set the Alarm property to "??????????0000".

    If you want your application to be alarmed at half past any o'clock, you set the Alarm property to "??????????3000".

    If you want your application to be alarmed every five minutes, you set Alarm property to "?????????????5" and "?????????????0".

    If you want your application to be alarmed at zero o'clock in 1998, you set Alarm property to "1998????000000".

    If you want your application to be alarmed every five minutes between 8 o'clock and 10 o'clock, you set Alarm property to "????????08???5", "????????08???0","????????09???5" and "????????09???0".

Alarm Event

Syntax:

   object. Alarm (Index As Integer, CurrentTime as String)

Index	Index of predefined scheduled event
CurrentTime	Current date and time in Alarming format